[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Zabbix 2.0.2 SRPM available



On Tue, Sep 25, 2012 at 1:28 PM, Volker Fröhlich <volker27 gmx at> wrote:
> On Tue, 2012-09-25 at 12:36 -0500, Greg Swift wrote:
>> On Tue, Sep 25, 2012 at 11:37 AM, Kevin Fenzi <kevin scrye com> wrote:
>> > On Tue, 25 Sep 2012 16:29:26 +0200
>> > Fabrice Salvaire <f salvaire genomicvision com> wrote:
>> >
>> >> Dear all,
>> >>
>> >> I upgraded the Zabbix package to the upstream version 2.0.2. It seems
>> >> to work fine, except I don't tested everything.
>> >>
>> >> Thus I have the SRPM with the update for the spec file and some of
>> >> the sources files. How can I provide it to EPEL ?
>> >
>> > File a bug against the epel Zabbix package and the maintainer can
>> > review and apply your patches.
>>
>> its actually a touch more complex to that unless things have changed.
>> The EPEL guidelines [1] state that major version updates are to be
>> avoided with a goal of 'yum update' just working.
>
> I recently joined Dan Horak (sharkcz) in the work towards a 2.0 package
> for Fedora and EPEL.
>
> It's pretty complex indeed. We're switching to two users to keep agent
> and proxy/server isolated better. We also switched to Debian
> Alternatives to choose between database implementations and have no
> conflicting sub-packages. The draft is suitable for systemd and init
> scripts -- having all necessary conditionals in place and hopefully
> ending the existence of 4 different branches.
>
> I published a draft. I hope Dan can take a look at it soon. Anybody's
> comment is highly appreciated.
>
> http://www.geofrogger.net/review/z2/zabbix20-2.0.2-3.el6.src.rpm
> http://www.geofrogger.net/review/z2/zabbix.Fedora is a README, that will
> become part of the package.
>
>> I'm not sure how
>> big of a difference 1.8 -> 2.0, but 1.6 -> 1.8 was different enough.
>> Currently EPEL5 has 1.6 release of zabbix and EPEL6 has 1.8 release.
>> This has been talked about several times on list and I don't know that
>> anyone came up with a good resolution.
>
> You definitely need to run a database upgrade. Since proxies and servers
> must run the same major version, it'd be a good idea to also have it in
> EPEL 5.
>
>>
>> One of the options was to change the package name and host both
>> releases in EPEL.  I'm not sure how often this actually happens, or
>> what the path to get there would be.
>
> That's the approach we took. zabbix20 conflicts with zabbix. Zabbix has
> a good stable-policy, so relevant changes would only appear on major x.y
> releases. They're aiming for regular major releases every 9 months from
> now on.

awesomeness.  Its great to see this.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]